Store

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Store

    java.lang.Object
      com.fenalco.entities.Store

    public class Store

extends java.lang.Object

Esta clase representa la tabla establecimiento de la base de datos y encapsula cada una de las operaciones que sobre esta se puedan realizar : inserción, actualización, eliminación, consulta.

Author:
  Mario Linares Vásquez

Field Summary
`private java.lang.String` | `address` dirección del establecimiento
`private int` | `avenue` carrera donde se encunentra el establecimiento
`private java.lang.String` | `avenueOrientation` orientación de la carrera donde se encuentra el establecimiento (N,S,W,E)
`private int` | `companyId` id de la empresa
`private java.lang.String` | `contact1` persona de contacto número 1
`private java.lang.String` | `contact2` persona de contacto número 2
`private java.lang.String` | `gln`
`private int` | `id` id del establecimiento
`private java.lang.String` | `name` nombre del establecimiento
`private int` | `neighbourhood` id del
`private int` | `payPlaces` puntos de pago al interior del establecimiento
`private java.lang.String` | `phoneNumber1` teléfono número 1
`private java.lang.String` | `phoneNumber2` teléfono número 2
`private double` | `storeArea` área del establecimiento (metros cuadrados)
`private int` | `stratum` estrato social
`private int` | `street` calle donde se encuentra el establecimiento
`private java.lang.String` | `streetOrientation` orientación de la calle donde se encuentra el establecimiento (N,S,W,E)
`private double` | `wareHouseArea` área de bodega en el establecimiento (metros cuadrados)

Constructor Summary
`Store()` Constructor por omisión de la clase.
`Store(int storeId)` Constructor que recibe el id del establecimiento en la base de datos.

Method Summary
`boolean` | `delete(Transaction transaction)` Realiza una consulta SQL de tipo delete con el fin de eliminar el establecimiento de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro y la adiciona a la transacción con el método `addSql`
`java.lang.String` | `getAddress()` Consultor del atributo address.
`int` | `getAvenue()` Consultor del atributo avenue.
`java.lang.String` | `getAvenueOrientation()` Consultor del atributo avenueOrientation.
`int` | `getCompanyId()` Getter for property companyId.
`static java.lang.String` | `getCompanyName(int storeId)` Este método permite obtener el nombre de la empresa a la cual pertenece el minorista, será utilizado para la construcción del listado `StoreListViewSupplier`
`java.lang.String` | `getContact1()` Consultor del atributo contact1.
`java.lang.String` | `getContact2()` Consultor del atributo contact2.
`java.lang.String` | `getGln()` Getter for property gln.
`int` | `getId()` Consultor del atributo id.
`java.lang.String` | `getName()` Consultor del atributo name.
`int` | `getNeighbourhood()` Consultor del atributo neighbourhood.
`int` | `getPayPlaces()` Consultor del atributo payPlaces.
`java.lang.String` | `getPhoneNumber1()` Consultor del atributo phoneNumber1.
`java.lang.String` | `getPhoneNumber2()` Consultor del atributo phoneNumber2.
`double` | `getStoreArea()` Consultor del atributo storeArea.
`int` | `getStratum()` Consultor del atributo stratum.
`int` | `getStreet()` Consultor del atributo street.
`java.lang.String` | `getStreetOrientation()` Consultor del atributo streetOrientation.
`double` | `getWareHouseArea()` Consultor del atributo wareHouseArea.
`boolean` | `loadData(int storeId)` Este método carga de la tabla establecimiento de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`
`boolean` | `saveData(Transaction transaction)` Este método guarda los atributos del establecimiento en la base de datos.
`void` | `setAddress(java.lang.String address)` Modificador para el atributo address.
`void` | `setAvenue(int avenue)` Modificador para el atributo avenue.
`void` | `setAvenueOrientation(java.lang.String avenueOrientation)` Modificador para el atributo avenueOrientation.
`void` | `setCompanyId(int companyId)` Setter for property companyId.
`void` | `setContact1(java.lang.String contact1)` Modificador para el atributo contact1.
`void` | `setContact2(java.lang.String contact2)` Modificador para el atributo contact2.
`void` | `setGln(java.lang.String gln)` Setter for property gln.
`void` | `setId(int id)` Modificador para el atributo id.
`void` | `setName(java.lang.String name)` Modificador para el atributo name.
`void` | `setNeighbourhood(int neighbourhood)` Modificador para el atributo neighbourhood.
`void` | `setPayPlaces(int payPlaces)` Modificador para el atributo payPlaces.
`void` | `setPhoneNumber1(java.lang.String phoneNumber1)` Modificador para el atributo phoneNumber1.
`void` | `setPhoneNumber2(java.lang.String phoneNumber2)` Modificador para el atributo phoneNumber2.
`void` | `setStoreArea(double storeArea)` Modificador para el atributo storeArea.
`void` | `setStratum(int stratum)` Modificador para el atributo stratum.
`void` | `setStreet(int street)` Modificador para el atributo street.
`void` | `setStreetOrientation(java.lang.String streetOrientation)` Modificador para el atributo streetOrientation.
`void` | `setWareHouseArea(double wareHouseArea)` Modificador para el atributo wareHouseArea.
`java.lang.String` | `toString()`
`boolean` | `update(Transaction transaction)` Realiza una consulta SQL de tipo update con el fin de actualizar los campos del establecimiento modificados a través de los métodos setter.Para actualizar los datos en la tabla establecimiento debe construir una consulta SQL de tipo update y la adiciona a la transacción con el método `addSql`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    private int id

  id del establecimiento

### name

    private java.lang.String name

  nombre del establecimiento

### address

    private java.lang.String address

  dirección del establecimiento

### street

    private int street

  calle donde se encuentra el establecimiento

### avenue

    private int avenue

  carrera donde se encunentra el establecimiento

### streetOrientation

    private java.lang.String streetOrientation

  orientación de la calle donde se encuentra el establecimiento (N,S,W,E)

### avenueOrientation

    private java.lang.String avenueOrientation

  orientación de la carrera donde se encuentra el establecimiento (N,S,W,E)

### contact1

    private java.lang.String contact1

  persona de contacto número 1

### contact2

    private java.lang.String contact2

  persona de contacto número 2

### phoneNumber1

    private java.lang.String phoneNumber1

  teléfono número 1

### phoneNumber2

    private java.lang.String phoneNumber2

  teléfono número 2

### storeArea

    private double storeArea

  área del establecimiento (metros cuadrados)

### payPlaces

    private int payPlaces

  puntos de pago al interior del establecimiento

### wareHouseArea

    private double wareHouseArea

  área de bodega en el establecimiento (metros cuadrados)

### neighbourhood

    private int neighbourhood

  id del

### stratum

    private int stratum

  estrato social

### gln

    private java.lang.String gln

### companyId

    private int companyId

  id de la empresa

Constructor Detail

### Store

    public Store()

  Constructor por omisión de la clase. Se debe usar para el caso de insertar un nuevo establecimiento en la base de datos.

### Store

    public Store(int storeId)

  Constructor que recibe el id del establecimiento en la base de datos. Se debe usar en el caso de actualizaciones, borrado y consulta. Este constructor llama a la función miembro `loadData` con el parámetro storeId con el fin de cargar los datos propios de ese establecimiento que residen en la base de datos. Al usar este constructor si se desea modificar el valor de algún campo se deben utilizar los métodos consultores (setter).

  Parameters:
    `storeId` - int que representa el id del establecimiento

Method Detail

### loadData

    public boolean loadData(int storeId)

  Este método carga de la tabla establecimiento de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`

  Parameters:
    `storeId` - identificador del establecimiento
  Returns:
    boolean que representa el exito del proceso de carga de los datos

### saveData

    public boolean saveData(Transaction transaction)

  Este método guarda los atributos del establecimiento en la base de datos. Se debe usar solo cuando se ha creado una instancia con el constructor por omisión. Para almacenar los datos en la tabla establecimiento debe construir una consulta SQL de tipo insert y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de inserción

### update

    public boolean update(Transaction transaction)

  Realiza una consulta SQL de tipo update con el fin de actualizar los campos del establecimiento modificados a través de los métodos setter.Para actualizar los datos en la tabla establecimiento debe construir una consulta SQL de tipo update y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de actualización

### delete

    public boolean delete(Transaction transaction)

  Realiza una consulta SQL de tipo delete con el fin de eliminar el establecimiento de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de boorado

### getCompanyName

    public static java.lang.String getCompanyName(int storeId)

  Este método permite obtener el nombre de la empresa a la cual pertenece el minorista, será utilizado para la construcción del listado `StoreListViewSupplier`

  Parameters:
    `storeId` - Identificador del establecimiento
  Returns:
    Cadena con el nombre de la empresa a la que pertenece el establecimiento.

### getId

    public int getId()

  Consultor del atributo id.

  Returns:
    Valor del atributo id.

### setId

    public void setId(int id)

  Modificador para el atributo id.

  Parameters:
    `id` - Nuevo valor para el atributo id.

### getName

    public java.lang.String getName()

  Consultor del atributo name.

  Returns:
    Valor del atributo name.

### setName

    public void setName(java.lang.String name)

  Modificador para el atributo name.

  Parameters:
    `name` - Nuevo valor para el atributo name.

### getAddress

    public java.lang.String getAddress()

  Consultor del atributo address.

  Returns:
    Valor del atributo address.

### setAddress

    public void setAddress(java.lang.String address)

  Modificador para el atributo address.

  Parameters:
    `address` - Nuevo valor para el atributo address.

### getStreet

    public int getStreet()

  Consultor del atributo street.

  Returns:
    Valor del atributo street.

### setStreet

    public void setStreet(int street)

  Modificador para el atributo street.

  Parameters:
    `street` - Nuevo valor para el atributo street.

### getAvenue

    public int getAvenue()

  Consultor del atributo avenue.

  Returns:
    Valor del atributo avenue.

### setAvenue

    public void setAvenue(int avenue)

  Modificador para el atributo avenue.

  Parameters:
    `avenue` - Nuevo valor para el atributo avenue.

### getStreetOrientation

    public java.lang.String getStreetOrientation()

  Consultor del atributo streetOrientation.

  Returns:
    Valor del atributo streetOrientation.

### setStreetOrientation

    public void setStreetOrientation(java.lang.String streetOrientation)

  Modificador para el atributo streetOrientation.

  Parameters:
    `streetOrientation` - Nuevo valor para el atributo streetOrientation.

### getAvenueOrientation

    public java.lang.String getAvenueOrientation()

  Consultor del atributo avenueOrientation.

  Returns:
    Valor del atributo avenueOrientation.

### setAvenueOrientation

    public void setAvenueOrientation(java.lang.String avenueOrientation)

  Modificador para el atributo avenueOrientation.

  Parameters:
    `avenueOrientation` - Nuevo valor para el atributo avenueOrientation.

### getContact1

    public java.lang.String getContact1()

  Consultor del atributo contact1.

  Returns:
    Valor del atributo contact1.

### setContact1

    public void setContact1(java.lang.String contact1)

  Modificador para el atributo contact1.

  Parameters:
    `contact1` - Nuevo valor para el atributo contact1.

### getContact2

    public java.lang.String getContact2()

  Consultor del atributo contact2.

  Returns:
    Valor del atributo contact2.

### setContact2

    public void setContact2(java.lang.String contact2)

  Modificador para el atributo contact2.

  Parameters:
    `contact2` - Nuevo valor para el atributo contact2.

### getPhoneNumber1

    public java.lang.String getPhoneNumber1()

  Consultor del atributo phoneNumber1.

  Returns:
    Valor del atributo phoneNumber1.

### setPhoneNumber1

    public void setPhoneNumber1(java.lang.String phoneNumber1)

  Modificador para el atributo phoneNumber1.

  Parameters:
    `phoneNumber1` - Nuevo valor para el atributo phoneNumber1.

### getPhoneNumber2

    public java.lang.String getPhoneNumber2()

  Consultor del atributo phoneNumber2.

  Returns:
    Valor del atributo phoneNumber2.

### setPhoneNumber2

    public void setPhoneNumber2(java.lang.String phoneNumber2)

  Modificador para el atributo phoneNumber2.

  Parameters:
    `phoneNumber2` - Nuevo valor para el atributo phoneNumber2.

### getStoreArea

    public double getStoreArea()

  Consultor del atributo storeArea.

  Returns:
    Valor del atributo storeArea.

### setStoreArea

    public void setStoreArea(double storeArea)

  Modificador para el atributo storeArea.

  Parameters:
    `storeArea` - Nuevo valor para el atributo storeArea.

### getPayPlaces

    public int getPayPlaces()

  Consultor del atributo payPlaces.

  Returns:
    Valor del atributo payPlaces.

### setPayPlaces

    public void setPayPlaces(int payPlaces)

  Modificador para el atributo payPlaces.

  Parameters:
    `payPlaces` - Nuevo valor para el atributo payPlaces.

### getWareHouseArea

    public double getWareHouseArea()

  Consultor del atributo wareHouseArea.

  Returns:
    Valor del atributo wareHouseArea.

### setWareHouseArea

    public void setWareHouseArea(double wareHouseArea)

  Modificador para el atributo wareHouseArea.

  Parameters:
    `wareHouseArea` - Nuevo valor para el atributo wareHouseArea.

### getNeighbourhood

    public int getNeighbourhood()

  Consultor del atributo neighbourhood.

  Returns:
    Valor del atributo neighbourhood.

### setNeighbourhood

    public void setNeighbourhood(int neighbourhood)

  Modificador para el atributo neighbourhood.

  Parameters:
    `neighbourhood` - Nuevo valor para el atributo neighbourhood.

### getStratum

    public int getStratum()

  Consultor del atributo stratum.

  Returns:
    Valor del atributoy stratum.

### setStratum

    public void setStratum(int stratum)

  Modificador para el atributo stratum.

  Parameters:
    `stratum` - Nuevo valor para el atributo stratum.

### getGln

    public java.lang.String getGln()

  Getter for property gln.

  Returns:
    Value of property gln.

### setGln

    public void setGln(java.lang.String gln)

  Setter for property gln.

  Parameters:
    `gln` - New value of property gln.

### getCompanyId

    public int getCompanyId()

  Getter for property companyId.

  Returns:
    Value of property companyId.

### setCompanyId

    public void setCompanyId(int companyId)

  Setter for property companyId.

  Parameters:
    `companyId` - New value of property companyId.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD